'use strict';

angular
  .module('app')
  .component('news', {
    templateUrl: '/resources/news/news.component.html',
    controller: ['$rootScope', '$scope', '$location', 'cms', function ($rootScope, $scope, $location, cms) {
      let page = 0;
      const loadNews = () => {
        cms.news.query({
          page: page++,
          page_size: 30
        }).$promise.then(
          account => {
            console.log('news', account)
            $scope.news = $scope.news.concat(account.items.map(i => {
              i.news_url = i.news_url.replace("http://150.164.180.61:9999", "http://150.164.180.61:9999/")
              return i;
            }));
          },
          error => {
            console.log('news', error)
          }
        )
      }

      Object.assign($scope, {
        news: [],
        open: post => {
          $location.path(`/a/news/${post.id}`)
        }
      })

      $rootScope.$on('scroll-end', _ => loadNews())

      loadNews();

    }]
  });