'use strict';

angular
  .module('app', [
    'ngComponentRouter',
    'angularMoment',
    'ngMaterial',
    'ngSanitize',
    'api.cms.ufmg'
  ])
  .value('$routerRootComponent', 'app')
  .config(($locationProvider) => {
    $locationProvider.html5Mode(true);
  })
  .run((amMoment) => {
    amMoment.changeLocale('pt-br');


  })
  .component('app', {
    templateUrl: 'app.component.html',
    controller: ['$scope', '$location', 'cms', ($scope, $location, cms) => {
      cms.Authenticated().then(
        _ => { $location.path("/a/dashboard"); },
        _ => { $location.path("/signin"); }
      );
    }],
    $routeConfig: [
      { path: '/a/...', name: 'Main', component: 'main' },
      { path: '/signin', name: 'Signin', component: 'signin' },
    ]
  });